# axis

#### new axis(selection)

Constructor

Source:
  - component/axis.js, line 69

##### Parameters:

Name | Type | Description
--- | --- | ---
`selection` | `d3.selection` | The chart holder D3 selection.

### Methods

#### (static) color(_v) → {*}

Color Getter / Setter

Source:
  - component/axis.js, line 306

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Color (e.g. "red" or "#ff0000").

##### Returns:

Type:
  `*`

#### (static) dimensions(_v) → {*}

Dimensions Getter / Setter

Source:
  - component/axis.js, line 198

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Object` | 3D object dimensions.

##### Returns:

Type:
  `*`

#### (static) direction(_v) → {*}

Direction Getter / Setter

Source:
  - component/axis.js, line 222

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Direction of Axis (e.g. "x", "y", "z").

##### Returns:

Type:
  `*`

#### (static) labelPosition(_v) → {*}

Label Position Getter / Setter

Source:
  - component/axis.js, line 318

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Position ("proximal" or "distal")

##### Returns:

Type:
  `*`

#### (static) scale(_v) → {*}

Scale Getter / Setter

Source:
  - component/axis.js, line 210

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `d3.scale` | D3 Scale.

##### Returns:

Type:
  `*`

#### (static) tickArguments(_v) → {Array.<*>}

Tick Arguments Getter / Setter

Source:
  - component/axis.js, line 246

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Tick arguments.

##### Returns:

Type:
  `Array.<*>`

#### (static) tickDirection(_v) → {*}

Tick Direction Getter / Setter

Source:
  - component/axis.js, line 234

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Direction of Ticks (e.g. "x", "y", "z").

##### Returns:

Type:
  `*`

#### (static) tickFormat(_v) → {*}

Tick Format Getter / Setter

Source:
  - component/axis.js, line 270

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `string` | Tick format.

##### Returns:

Type:
  `*`

#### (static) tickPadding(_v) → {*}

Tick Padding Getter / Setter

Source:
  - component/axis.js, line 294

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Tick padding size.

##### Returns:

Type:
  `*`

#### (static) tickSize(_v) → {*}

Tick Size Getter / Setter

Source:
  - component/axis.js, line 282

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `number` | Tick length.

##### Returns:

Type:
  `*`

#### (static) tickValues(_v) → {*}

Tick Values Getter / Setter

Source:
  - component/axis.js, line 258

##### Parameters:

Name | Type | Description
--- | --- | ---
`_v` | `Array` | Tick values.

##### Returns:

Type:
  `*`